## telly-skout 25.04.3

=== debian/changelog ===
telly-skout (25.04.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 14:06:14 +0000

telly-skout (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:59:15 +0000

telly-skout (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:51:32 +0000

telly-skout (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:15:04 +0000

telly-skout (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:42:12 +0000

telly-skout (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:15:22 +0000

telly-skout (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:30:07 +0000

telly-skout (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:40:58 +0000

telly-skout (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:16:22 +0000

telly-skout (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:40:38 +0000

telly-skout (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:05:11 +0000

telly-skout (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:37:12 +0000

telly-skout (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:26:18 +0000

telly-skout (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:12:25 +0000

telly-skout (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:22:26 +0000

telly-skout (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024.05.21:23 +0000

telly-skout (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:55:57 +0000

telly-skout (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:32:03 +0000

telly-skout (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:37:05 +0000

telly-skout (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:09:20 +0000

telly-skout (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:57:39 +0000

telly-skout (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:41:18 +0000

telly-skout (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:42:05 +0000

telly-skout (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:18:01 +0000

telly-skout (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:39:27 +0000

telly-skout (22.11-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 01 Dec 2022 05:06:06 +0000

telly-skout (22.09-0neon) unstable; urgency=medium

  * Team upload.

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 16 May 2022 14:35:44 +0200

## telly-skout 25.08.1

=== debian/changelog ===
telly-skout (25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:57:03 +0000

telly-skout (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:04:29 +0000

telly-skout (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:25:39 +0000

## telly-skout 25.08.2

=== debian/changelog ===
telly-skout (25.08.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:57:06 +0000

telly-skout (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:30:44 +0000

## telly-skout 25.08.2+p24.04+vstable+git20251011.0958

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251011.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:58:42 +0000

## telly-skout 25.08.3+p24.04+vunstable+git20251204.0232

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Plata Hill <plata.hill@kdemail.net>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(telly-skout VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.4.0")
set(QT_MIN_VERSION "6.6.0")

include(FeatureSummary)

################# KDE settings #################

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMAddAndroidApk)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMPoQmTools)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(QmlFormat.cmake)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX TELLY_SKOUT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/telly-skout-version.h
)

################# dependencies #################

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Test Gui QuickControls2 Sql Xml)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n)

if(ANDROID)
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
else()
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Crash)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()

if(TARGET KF${QT_MAJOR_VERSION}::Crash)
    set(HAVE_KCRASH TRUE)
endif()

find_package(KF${QT_MAJOR_VERSION}KirigamiAddons REQUIRED)
set_package_properties(KF${QT_MAJOR_VERSION}KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)

if (NOT ANDROID)
    find_package(KF${QT_MAJOR_VERSION}QQC2DesktopStyle ${KF_MIN_VERSION} REQUIRED)
    set_package_properties(KF${QT_MAJOR_VERSION}QQC2DesktopStyle PROPERTIES
        TYPE RUNTIME
    )
endif()

################# compiler #################

set(CMAKE_CXX_STANDARD 17)
if(MSVC)
    add_compile_options(/W3 /WX)
else()
    add_compile_options(-Wall -Wextra -Wconversion -Wsign-conversion -pedantic)

    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL 14.0.0)
        add_compile_options(-Wno-error=hardened)
    endif()

    add_compile_options(-Wno-error=deprecated-declarations)
endif()

################# build and install #################

add_subdirectory(autotests)
add_subdirectory(benchmarks)
add_subdirectory(src)

ki18n_install(po)

if(ANDROID)
    configure_file(org.kde.telly-skout.desktop ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.tellyskout.desktop COPYONLY)
    configure_file(org.kde.telly-skout.appdata.xml ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.tellyskout.appdata.xml COPYONLY)
    configure_file(org.kde.telly-skout.svg ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.tellyskout.svg COPYONLY)
    install(PROGRAMS org.kde.tellyskout.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.tellyskout.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES org.kde.tellyskout.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
else()
    install(PROGRAMS org.kde.telly-skout.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.telly-skout.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(FILES org.kde.telly-skout.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

################# format sources #################

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    autotests/*.cpp autotests/*.h
    benchmarks/*.cpp benchmarks/*.h
    src/*.cpp src/*.h
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
add_custom_target(clang-format-always ALL DEPENDS ${ALL_CLANG_FORMAT_SOURCE_FILES})
add_dependencies(clang-format-always clang-format)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

file(GLOB_RECURSE ALL_QML_FORMAT_SOURCE_FILES src/qml/*.qml)
qml_format(${ALL_QML_FORMAT_SOURCE_FILES})

add_custom_target(qml-format-always ALL DEPENDS ${ALL_QML_FORMAT_SOURCE_FILES})
add_dependencies(qml-format-always qml-format)

## telly-skout 25.08.2+p24.04+vstable+git20251015.1054

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251015.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:54:50 +0000

=== debian/control ===
Source: telly-skout
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-declarative-dev
Standards-Version: 4.6.2
Section: kde
Homepage: https://invent.kde.org/plasma-mobile/telly-skout
Vcs-Git: https://invent.kde.org/neon/neon-packaging/telly-skout.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/telly-skout
Maintainer: Neon CI <neon@kde.org>

Package: telly-skout
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TV guide app from Plasma Mobile
 Telly Skout is a convergent Kirigami TV guide. It shows the TV
 program for your favorite channels from TV Spielfilm or an XMLTV
 file.

## telly-skout 25.08.2+p24.04+vstable+git20251021.0558

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251021.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:58:49 +0000

## telly-skout 25.08.2+p24.04+vstable+git20251031.0950

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251031.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:50:41 +0000

## telly-skout 25.08.3

=== debian/changelog ===
telly-skout (25.08.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:46:47 +0000

telly-skout (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:46 +1000

## telly-skout 25.08.3+p24.04+vunstable+git20251204.0232

=== debian/changelog ===
telly-skout (25.08.3+p24.04+vunstable+git20251204.0232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:32:41 +0000

## telly-skout 25.12.0

=== debian/changelog ===
telly-skout (25.12.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:23:22 +0000

telly-skout (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:32 +1000

## telly-skout 25.12.0+p24.04+vunstable+git20251208.1136

=== debian/changelog ===
telly-skout (25.12.0+p24.04+vunstable+git20251208.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:36:20 +0000

## telly-skout 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(telly-skout VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
telly-skout (25.12.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 13:07:11 +0000

telly-skout (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:17:56 +1000

## telly-skout 25.12.1+p24.04+vstable+git20260205.0628

=== debian/changelog ===
telly-skout (25.12.1+p24.04+vstable+git20260205.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:28:01 +0000

## telly-skout 25.12.1+p24.04+vunstable+git20260201.0652

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(telly-skout VERSION ${RELEASE_SERVICE_VERSION})
@@ -74,7 +74,7 @@
 
 set(CMAKE_CXX_STANDARD 17)
 if(MSVC)
-    add_compile_options(/W3 /WX)
+    add_compile_options(/W3)
 else()
     add_compile_options(-Wall -Wextra -Wconversion -Wsign-conversion -pedantic)

=== debian/changelog ===
telly-skout (25.12.1+p24.04+vunstable+git20260201.0652-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:52:49 +0000

## telly-skout 25.12.2

=== debian/changelog ===
telly-skout (25.12.2-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:36:59 +0000

telly-skout (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:14:56 +0000

## telly-skout 25.12.2+p24.04+vstable+git20260207.0636

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(telly-skout VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
telly-skout (25.12.2+p24.04+vstable+git20260207.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:36:51 +0000

## telly-skout 25.12.2+p24.04+vunstable+git20260207.0637

=== debian/changelog ===
telly-skout (25.12.2+p24.04+vunstable+git20260207.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:37:37 +0000
